/* Synopsis: Affichage_I2C_Clignotement_Message_V2
   Carte   : Arduino Uno
   Afficheur : I2C 
   Librairies: Wire.h et LiquidCrystal_I2C.h 
              
   https://electroniquepassion.fr/ 
   C.Mercier  62128 Boiry-Becquerelle  
*/
#include <Wire.h>
#include <LiquidCrystal_I2C.h>
//---------------------------------------
// Adresse, Nbr caracteres, Numero ligne
LiquidCrystal_I2C lcd(0x27, 16, 2);
//---------------------------------------
void setup()
{
  lcd.init();// init afficheurr    
  lcd.noBacklight();   
  lcd.clear(); 
  delay(100);    
  lcd.backlight(); 
}
//---------------------------------------
void loop()
{    
  lcd.setCursor(1,0);
  lcd.print("le message est");
  delay(500);
  lcd.clear();
  lcd.setCursor(4,1);
  lcd.print("trop long");
  delay(500);
  lcd.clear();
}
